Bug 53016 - missing apr_brigade_destroy
Summary: missing apr_brigade_destroy
Status: RESOLVED FIXED
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: mod_proxy_ajp (show other bugs)
Version: 2.5-HEAD
Hardware: PC Linux
: P2 normal (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: FixedInTrunk, PatchAvailable
Depends on:
Blocks:
 
Reported: 2012-03-31 20:19 UTC by Julia Lawall
Modified: 2018-08-22 05:09 UTC (History)
0 users



Attachments
patch adding missing call to apr_brigade_destroy (422 bytes, patch)
2012-03-31 20:19 UTC, Julia Lawall
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Julia Lawall 2012-03-31 20:19:56 UTC
Created attachment 28524 [details]
patch adding missing call to apr_brigade_destroy

Input_brigade is allocated in ap_proxy_ajp_request.  On most error paths it is freed with apr_brigade_destroy.  This patch adds a call to apr_brigade_destroy in the remaining case.
Comment 1 Christophe JAILLET 2018-05-27 20:48:28 UTC
Fixed in r1832351.
Thx for the report, and sorry for the really long delay.

Maybe it's time to add some error handling gotos in apache, Linux style :)
Comment 2 Christophe JAILLET 2018-08-22 05:09:04 UTC
Backported in 2.4.x in r1838103.

Will be part of 2.4.35.